import React, { FC, ReactNode } from 'react';
import { LucideProps } from 'lucide-react-native';
import { StyleProp, TextStyle, ViewStyle } from 'react-native';
export type ButtonProps = {
    LeftIcon?: FC<LucideProps>;
    RightIcon?: FC<LucideProps>;
    children: ReactNode;
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    disabled?: boolean;
    fullWidth?: boolean;
    onClick?: (e?: any) => void | Promise<void>;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    style?: {
        container?: StyleProp<ViewStyle>;
        text?: StyleProp<TextStyle>;
    };
    variant?: 'contained' | 'outlined' | 'text';
};
export declare const Button: React.FC<ButtonProps>;
